﻿<div class="col-md-6 col-md-offset-3">
  <h2>Login</h2>
  <form name="form" (ngSubmit)="onSubmit(f)" #f="ngForm" novalidate>
    <div class="form-group">
      <label for="username">Username</label>
      <input id="username" type="text" class="form-control" name="username" [(ngModel)]="model.username" #user="ngModel"
        required minlength="1" />
      <div *ngIf="isFormSubmittedWithInvalidUsername(f)" class="help-block">Username is required</div>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input id="password" type="password" class="form-control" name="password" [(ngModel)]="model.password"
        #pass="ngModel" required minlength="1" />
      <div *ngIf="isFormSubmittedWithInvalidPassword(f)" class="help-block">Password is required
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-primary">Login</button>
    </div>
    <p>
        Not a member yet?
        <a href="/auth/signup"> Register </a>
    </p>
    <div *ngIf="incorrectCredentialsError" class="alert alert-danger"></div>
  </form>
  
</div>